diff --git a/src/termline.c b/src/termline.c
index 220d2e3c..4b5bdd47 100644
--- a/src/termline.c
+++ b/src/termline.c
@@ -241,6 +241,7 @@ makeliteral_attr(struct buf *b, termchar *c)
   */
   uint colourbits;
   uint attr = c->attr.attr;
+  uint graph = c->attr.attr >> ATTR_GRAPH_SHIFT;
   uint truefg = c->attr.truefg;
   uint truebg = c->attr.truebg;
 
@@ -269,6 +270,7 @@ makeliteral_attr(struct buf *b, termchar *c)
     add(b, (uchar) ((attr >> 8) & 0xFF));
     add(b, (uchar) (attr & 0xFF));
   }
+  add(b, graph);
 
   add(b, (uchar) ((truefg >> 16) & 0xFF));
   add(b, (uchar) ((truefg >> 8) & 0xFF));
@@ -321,17 +323,19 @@ readliteral_chr(struct buf *buf, termchar *c, termline *unused(line))
 static void
 readliteral_attr(struct buf *b, termchar *c, termline *unused(line))
 {
-  uint val, attr, colourbits, fg, bg;
+  unsigned long long val, attr;
+  uint colourbits;
+  uint fg, bg;
 
   val = get(b) << 8;
   val |= get(b);
-
   if (val >= 0x8000) {
     val &= ~0x8000;
     val <<= 16;
     val |= get(b) << 8;
     val |= get(b);
   }
+  uint graph = get(b);
 
   colourbits = (val >> (32 - 9)) & 0xFF;
   attr = (val & ((1 << (32 - 9)) - 1));
@@ -353,6 +357,8 @@ readliteral_attr(struct buf *b, termchar *c, termline *unused(line))
   bg |= get(b) << 8;
   bg |= get(b);
 
+  attr |= (unsigned long long)graph << ATTR_GRAPH_SHIFT;
+
   c->attr.attr = attr;
   c->attr.truefg = fg;
   c->attr.truebg = bg;
diff --git a/src/wintext.c b/src/wintext.c
index 2e38118b..5d111f3b 100755
--- a/src/wintext.c
+++ b/src/wintext.c
@@ -464,6 +464,11 @@ win_init_fonts(int size)
            (glyphs[i][j] == 0xFFFF || glyphs[i][j] == 0x1F))
       j++;
     win_linedraw_chars[i] = linedraw_chars[i][j];
+#define draw_vt100_line_drawing_chars
+#ifdef draw_vt100_line_drawing_chars
+    if ('j' - '`' <= i && i <= 'x' - '`')
+      win_linedraw_chars[i] = linedraw_chars[i][0];
+#endif
   }
 
   fonts[FONT_UNDERLINE] = create_font(fw_norm, true);
@@ -1000,7 +1005,7 @@ win_text(int x, int y, wchar *text, int len, cattr attr, int lattr, bool has_rtl
                     + (lattr >= LATTR_TOP ? 2 : 0)
                    ) * font_height / 40;
 
-#define debug_vt100_line_drawing_chars
+#define dont_debug_vt100_line_drawing_chars
 #ifdef debug_vt100_line_drawing_chars
   fg = 0x00FF0000;
 #endif
